org.eclipse.actf.visualization.eval

## Interface IEvaluationItem

All Superinterfaces:
  EventListener, IGuidelineSlectionChangedListener

    public interface IEvaluationItem
    extends IGuidelineSlectionChangedListener

Interface for evaluation item information

### Field Summary

Fields
`static int` `SEV_ERROR` Severity ID: error
`static String` `SEV_ERROR_STR` String for error severity
`static int` `SEV_INFO` Severity ID: informational
`static String` `SEV_INFO_STR` String for informational severity
`static int` `SEV_USER` Severity ID: user check
`static String` `SEV_USER_STR` String for user check severity
`static int` `SEV_WARNING` Severity ID: warning
`static String` `SEV_WARNING_STR` String for warning severity

### Method Summary

Methods
`String` `createDescription()`
`String` `createDescription(String targetString)`
`IGuidelineItem[]` `getGuidelines()`
`String` `getId()`
`org.eclipse.swt.graphics.Image[]` `getMetricsIcons()`
`int[]` `getMetricsScores()`
`int` `getSeverity()`
`String` `getSeverityStr()`
`String[]` `getTableDataGuideline()`
`String[]` `getTableDataMetrics()`
`String` `getTableDataTechniques()`
`ITechniquesItem[][]` `getTechniques()`

### Methods inherited from interface org.eclipse.actf.visualization.eval.guideline.IGuidelineSlectionChangedListener

`selectionChanged`

### Field Detail

#### SEV_ERROR

    static final int SEV_ERROR

Severity ID: error

See Also:
  Constant Field Values

#### SEV_WARNING

    static final int SEV_WARNING

Severity ID: warning

See Also:
  Constant Field Values

#### SEV_USER

    static final int SEV_USER

Severity ID: user check

See Also:
  Constant Field Values

#### SEV_INFO

    static final int SEV_INFO

Severity ID: informational

See Also:
  Constant Field Values

#### SEV_ERROR_STR

    static final String SEV_ERROR_STR

String for error severity

See Also:
  Constant Field Values

#### SEV_WARNING_STR

    static final String SEV_WARNING_STR

String for warning severity

See Also:
  Constant Field Values

#### SEV_USER_STR

    static final String SEV_USER_STR

String for user check severity

See Also:
  Constant Field Values

#### SEV_INFO_STR

    static final String SEV_INFO_STR

String for informational severity

See Also:
  Constant Field Values

### Method Detail

#### getId

    String getId()

Returns:
  ID of evaluation item

#### getSeverity

    int getSeverity()

Returns:
  severity of evaluation item

#### getSeverityStr

    String getSeverityStr()

Returns:
  severity as String

#### getMetricsScores

    int[] getMetricsScores()

Returns:
  array of scores for each evaluation metric

#### getTableDataGuideline

    String[] getTableDataGuideline()

Returns:
  guideline information to be shown in the result table

#### getTableDataMetrics

    String[] getTableDataMetrics()

Returns:
  evaluation metrics information to be shown in the result table

#### getTableDataTechniques

    String getTableDataTechniques()

Returns:
  Techniques information to be shown in the result table

#### getMetricsIcons

    org.eclipse.swt.graphics.Image[] getMetricsIcons()

Returns:
  icons for evaluation metrics to be shown in the result table

#### getGuidelines

    IGuidelineItem[] getGuidelines()

Returns:
  get corresponding guideline items of this evaluation item

#### getTechniques

    ITechniquesItem[][] getTechniques()

Returns:
  get corresponding Techniques items of this evaluation item.

#### createDescription

    String createDescription()

Returns:
  description about this evaluation item

#### createDescription

    String createDescription(String targetString)

Parameters:
  `targetString` - target String to embed
Returns:
  description about this evaluation item. Specified target String will be embedded into the description.